2021-02-25  Aidan Kehoe  <kehoea@parhasard.net>

	* Makefile (VERSION): XEmacs package 1.26 released.

2020-12-27  Aidan Kehoe  <kehoea@parhasard.net>

	Correct some its (genitive of it) vs. it's (short for it is)
	confusion in this project.

	Noticed in passing while OKing Mats Lidell's revision of the
	TexInfo to be correct UTF-8, thank you Mats!

	* ecb-common-browser.el (ecb-common-tree-buffer-after-create-hook):
	* ecb-file-browser.el (ecb-source-path):
	* ecb-file-browser.el (ecb-directories-buffer-after-create-hook):
	* ecb-file-browser.el (ecb-sources-buffer-after-create-hook):
	* ecb-file-browser.el (ecb-history-buffer-after-create-hook):
	* ecb-layout.el (ecb-advice-window-functions):
	* ecb-layout.el (delete-window):
	* ecb-layout.el (delete-other-windows):
	* ecb-layout.el (ecb-toggle-compile-window-height):
	* ecb-method-browser.el (ecb-methods-buffer-after-create-hook):
	* ecb-method-browser.el (ecb-update-methods-buffer--internal):
	* ecb.el (ecb-grep-function):
	* ecb.texi (GNU Emacs Installation):
	* ecb.texi (The edit-area):
	* ecb.texi (ecb-tree-buffer):
	* ecb.texi (ecb-directories):
	* ecb.texi (ecb-sources):
	* ecb.texi (ecb-methods):
	* ecb.texi (ecb-history):
	* ecb.texi (ecb-layout):
	* ecb.texi (ecb-faces):
	* ecb.texi (Changing faces):
	* ecb.texi (Programming a new layout):
	* ecb.texi (Conflicts):
	* ecb.texi (FAQ):
	* tree-buffer.el (tree-buffer-recenter):
	* tree-buffer.el (tree-buffer-highlight-node-data):
	* tree-buffer.el (tree-buffer-update):
	* tree-buffer.el (tree-buffer-create):
	All these edits are as above.
	
	* ecb-util.el (ecb-fit-str-to-width):
	"Respectively" is not usually the appropriate translation for
	"beziehungsweise" into English, it implies a more strictly
	parallel relationship than does "bzw." Change "resp." to "or,
	relatedly", revise the docstring more generally to be a bit more
	readable.
	
2014-05-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.25 released.

2014-05-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (PRELOADS): Add eshell to get all necessary variables.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.24 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.23 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.
	* Makefile.upstream: Restore CVS keyword expansions.
	* *.el: Ditto.
	* ecb.texi: Ditto.

2004-12-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.22 released.

2004-12-12  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.21 released.

2004-12-10  Klaus Berndl  <klaus.berndl@sdm.de>
	
	* Sync with current upstream 2.31

2004-12-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.20 released.

2004-12-01  Klaus Berndl  <klaus.berndl@sdm.de>
	
	* Sync with current upstream 2.30.1

2004-09-06  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.19 released.

2004-08-31  Klaus Berndl  <klaus.berndl@sdm.de>
	
	* Sync with current upstream 2.27

2004-08-31  Klaus Berndl  <klaus.berndl@sdm.de>
	
	* Renamed ecb-images/methods/height_15_to_21 to
		 height_14_to_21

2004-04-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.18 released.

2004-04-14  Klaus Berndl  <klaus.berndl@sdm.de>
	
	* Sync with current upstream 2.24

2004-02-17  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.17 released.

2004-02-16  Klaus Berndl  <klaus.berndl@sdm.de>
	
	* Sync with current upstream 2.21

2004-02-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.16 released.

2004-02-13  Klaus Berndl  <klaus.berndl@sdm.de>
	
	* Sync with forthcoming upstream 2.21

2004-02-09  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.15 released.

2004-02-07  Klaus Berndl  <klaus.berndl@sdm.de>
	
	* Sync with current upstream 2.20, see NEWS for details.

2003-11-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.14 released.

2003-11-18  Klaus Berndl  <klaus.berndl@sdm.de>

	* Sync with current upstream 2.11, see NEWS for details.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.13 released.

2003-09-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.12 released.

2003-09-18  Klaus Berndl  <klaus.berndl@sdm.de>

	* ecb-winman-support.el DOS line-endings --> Unix

2003-09-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.11 released.

2003-09-18  Klaus Berndl  <klaus.berndl@sdm.de>

	* Sync with current upstream 1.96, see NEWS for details.

2003-07-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.10 released.

2003-07-18  Klaus Berndl  <klaus.berndl@sdm.de>

	* Sync with current upstream 1.95.1, see NEWS for details.

2003-07-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.09 released.

2003-07-08  Klaus Berndl  <klaus.berndl@sdm.de>

	* Sync with current upstream 1.95, see NEWS for details.

2003-06-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.08 released.

2003-06-27  Klaus Berndl  <klaus.berndl@sdm.de>

	* Makefile (AUTHOR_VERSION): Updated to 1.94.

2003-06-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.07 released.

2003-06-27  Klaus Berndl  <klaus.berndl@sdm.de>

	* Sync with current upstream 1.94, see NEWS for details.

2003-03-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.06 released.

2003-03-27  Klaus Berndl  <klaus.berndl@sdm.de>

	* Sync with current upstream 1.93

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Use STANDARD_DOCS instead of explicitly giving the targets
	and dependencies.

2003-03-12  Klaus Berndl  <klaus.berndl@sdm.de>

	* ecb-layout.el (ecb-redraw-layout-quickly): Fixed a bug with
	XEmacs 21.5.X and `set-window-configuration': Now this function is
	called with deactivated ECB-advices.

	* ecb-jde.el Changed line-endings to Unix-format

2003-03-06  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.04 released.

2003-03-06  Klaus Berndl  <klaus.berndl@sdm.de>

	* package-info.in
	(provides): added additional sources for next ECB

	* Makefile (ELCS): Added additional sources for next ECB

	* NEWS:
	New file: Renamed previous HISTORY to NEWS and formated it for
	outline-mode 

	* Sync with current upstream 1.92.1

2003-03-02  Norbert Koch  <nk@viteno.net>

	* Makefile (VERSION): XEmacs package 1.03 released.

	* Makefile (VERSION): XEmacs package 1.02 released.

2003-02-17  Klaus Berndl  <klaus.berndl@sdm.de>

	* ecb.texi
	(Installation): Adjusted instructions if a XEmacs-package 

2003-02-16  Vin Shelton  <acs@xemacs.org>

	* ecb-tod.el: Removed all occurrences of trailing ^M.

2003-02-13  Klaus Berndl  <klaus.berndl@sdm.de>

	* ecb.texi
	(FAQ): Reformatted some entries so all references work correct.
	(ecbver): Set author version number to 1.91.1


2003-02-12  Klaus Berndl  <klaus.berndl@sdm.de>

	* package-info.in
	(provides): added additional sources for next ECB

	* Makefile (ELCS): Added additional sources for next ECB
	(AUTHOR_VERSION): Set current upstream version

	* Sync with current upstream 1.91.1

2003-02-12  Steve Youngs  <youngs@xemacs.org>

	* Makefile (binkit): Use 'binkit-common'.

2003-02-10  Steve Youngs  <youngs@xemacs.org>

	* Makefile (compile): Don't build HTML docs by default.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-12-06  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.01 released.

2002-11-18  Klaus Berndl  <klaus.berndl@sdm.de>

	* Makefile (binkit): Using the new tag binkit-with-html
	(VERSION): Changed from 0.99 to 1.0

2002-11-12  Klaus Berndl  <klaus.berndl@sdm.de>

	* ecb.texi: Prepared for being now a regular XEmacs package

	* ecb.el (ecb-activate--impl): Check requirements here
	(ecb-check-requirements): Prepared for the XEmacs packaging system
	(ecb-menu-bar): Added online-help customization

	* ecb-help.el (ecb-help-info-start-file): New constant
	(ecb-help-html-start-file): New constant
	(ecb-help): New customize group
	(ecb-help-info-path): New option
	(ecb-help-html-path): New option
	(ecb-info): New function
	(ecb-browse-html-file): New function
	(ecb-show-help): Prepared for finding help in XEmacs package
		system too; see options ecb-help-{info|html}-path

	* ecb-upgrade.el (ecb-download-ecb): Prepared for XEmacs
		 package-management.

	* README: Small modifications for new XEmacs-package

	* Makefile (all): HTML-docu is build too

	* ecb-util.el (ecb-regular-xemacs-package-p): new constant

	* HISTORY: ECB now a regular XEmacs package

2002-11-08  Ville Skyttä  <scop@xemacs.org>

	* Moved to xemacs-packages from unsupported/scop/

	* Makefile (CATEGORY): Change to standard.
	(MAINTAINER): Change to Klaus.
	* package-info.in (distribution): Change to xemacs.

2002-10-14  Ville Skyttä  <scop@xemacs.org>

	* Makefile (MANUAL): Remove (unused).
	(VERSION): Bump to 0.99.
	(srckit): Remove.

2002-09-22  Ville Skyttä  <scop@xemacs.org>

	* Makefile: Include texi stuff in build.
	(VERSION): Bump to 0.04.

2002-08-13  Ville Skyttä  <scop@xemacs.org>

	* Sync with upstream version 1.80.

2002-08-11  Ville Skyttä  <scop@xemacs.org>

	* Makefile (REQUIRES): Add xemacs-devel.
	(VERSION): Bump to 0.02.

2002-06-21  Ville Skyttä  <scop@xemacs.org>

	* ecb.el (ecb-activate): Add autoload cookie.
	* ecb.el (ecb-minor-mode): Ditto.
	* ecb.el.upstream: New file.
	* Makefile (all): Put auto-autoloads.elc back.

2002-06-21  Ville Skyttä  <scop@xemacs.org>

	* Makefile (all): Remove auto-autoloads.elc.

2002-06-20  Ville Skyttä  <scop@xemacs.org>

	* Makefile: Include XEmacs.rules the official way.
	* Makefile (STAGING): Removed.

2002-06-17  Ville Skyttä  <scop@xemacs.org>

	* package-info.in (distribution): Change to unsupported.

2002-06-14  Ville Skyttä  <scop@xemacs.org>

	* Makefile (CATEGORY): Change to unsupported.

2002-06-09  Ville Skyttä  <scop@xemacs.org>

	* First cut at an XEmacs package.

